Uploaded image for project: 'Spark'
  1. Spark
  2. SPARK-2158

Incorrect comparison of version identifier in plugin dependency parsing

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.9.2
    • Component/s: Plugins
    • Labels:
      None

      Description

      When parsing dependencies of plugins, the existing code is comparing numbers with text. That can never produce a positive result.

      I'm unsure if Spark has any plugins that defines dependencies, so the impact of this bug could be neglible.

        Attachments

          Activity

            People

            Assignee:
            guus Guus der Kinderen
            Reporter:
            guus Guus der Kinderen
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: